Docs

Identities

Endpoints for managing clients and users. Both clients and users support metadata which can be used to store arbitrary key-value pairs. Note that when updating a client or user, metadata will replace the existing metadata and not be merged with it.

Do not use personal data such as names or email addresses as customer identifiers (clientIdentifier); the identifier is kept after deletion.

Get clients Build and above

Use this endpoint to get a paginated list of client identifiers.

GET/v1/headless/clients

Query parameters

FieldTypeRequiredDefaultDescriptionOptions
lengthnumberNo100—
pagenumberNo0—

Get client Build and above

Use this endpoint to get a client by identifier.

GET/v1/headless/client/{identifier}

Path parameters

FieldDescriptionOptions
identifierYour stable client identifier. Do not use personal data such as names or email addresses: this identifier is kept after deletion.—

Get users Build and above

Use this endpoint to get a paginated list of users. You can optionally filter by clientIdentifier.

GET/v1/headless/users

Query parameters

FieldTypeRequiredDefaultDescriptionOptions
lengthnumberNo100—
pagenumberNo0—
clientIdentifierstringNo——

Get user Build and above

Use this endpoint to get a user by identifier.

GET/v1/headless/user/{identifier}

Path parameters

FieldDescriptionOptions
identifierYour stable user identifier—

Update client Build and above

Use this endpoint to update a client's metadata.

PUT/v1/headless/client/{identifier}

Path parameters

FieldDescriptionOptions
identifierYour stable client identifier. Do not use personal data such as names or email addresses: this identifier is kept after deletion.—

Body parameters

FieldTypeRequiredDescOptions
metadataobjectNoArbitrary metadata to attach to the client—

Delete client Build and above

Use this endpoint to delete all objects associated with a clientIdentifier.

DELETE/v1/headless/client/{identifier}

Path parameters

FieldDescriptionOptions
identifierYour stable client identifier. Do not use personal data such as names or email addresses: this identifier is kept after deletion.—

Update user Build and above

Use this endpoint to update a user's metadata. Sending metadata replaces the stored metadata; the user's name and avatar are kept unless you set them. Sending only name or avatar leaves the rest of the metadata unchanged.

PUT/v1/headless/user/{identifier}

Path parameters

FieldDescriptionOptions
identifierYour stable user identifier—

Body parameters

FieldTypeRequiredDescOptions
clientIdentifierstringNoThe client this user belongs to—
metadataobjectNoArbitrary metadata for the user. Replaces the existing metadata; the stored name and avatar are kept unless set here or by name/avatar.—
namestringNoDisplay name (shorthand for metadata.name)—
avatarstringNoAvatar URL (shorthand for metadata.avatar)—

Delete user Build and above

Use this endpoint to delete a user by their identifier. You can choose what to do with any courses associated with this identifier.

DELETE/v1/headless/user/{identifier}

Path parameters

FieldDescriptionOptions
identifierYour stable user identifier—

Query parameters

FieldTypeRequiredDefaultDescriptionOptions
clientIdentifierstringNo——
actionstringNo—reallocatedeleteignore
reallocateTostringNo——